# Gimp.convolve_default

    function convolve_default(drawable: Gimp.Drawable, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_convolve_default()
    }

Convolve (Blur, Sharpen) using the current brush.

This tool convolves the specified drawable with either a sharpening or blurring kernel. This function performs exactly the same as the Gimp.convolve function except that the tools arguments are obtained from the convolve option dialog. It this dialog has not been activated then the dialogs default values will be used.

drawable

  The affected drawable.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.